LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware > Linux - Embedded & Single-board computer
User Name
Password
Linux - Embedded & Single-board computer This forum is for the discussion of Linux on both embedded devices and single-board computers (such as the Raspberry Pi, BeagleBoard and PandaBoard). Discussions involving Arduino, plug computers and other micro-controller like devices are also welcome.

Notices

Reply
 
Search this Thread
Old 12-31-2010, 05:38 PM   #1
Mark Evans
LQ Newbie
 
Registered: Dec 2010
Posts: 3

Rep: Reputation: 0
Trying to get the MSP-FET430UIF to work. Is an update required?


I am new to linux. I am running UBUNTU 10.10 on a new hp G62 64bit laptop.

when I try to run:

mspdebug -d /dev/ttyUSB0 uif

This is what I get:

Trying to open UIF on /dev/ttyUSB0...
Initializing FET...
FET protocol version is 20401000
Configured for Spy-Bi-Wire
Set Vcc: 3000 mV
fet: FET returned error code 4 (Could not find device (or device not supported))
fet: command C_IDENT1 failed
fet: identify failed
Trying again...
Initializing FET...
FET protocol version is 20401000
Configured for Spy-Bi-Wire
Sending reset...
uif: read error: Connection timed out
warning: fet: reset failed
uif: read error: Connection timed out
warning: fet: set VCC failed
uif: read error: Connection timed out
fet: command C_IDENT1 failed
fet: identify failed

lsusb returns:

Bus 002 Device 003: ID 0451:f430 Texas Instruments, Inc. MSP-FET430UIF JTAG Tool

I am thinking that I need to upgrade the firmware in the FET. Any help would be appreciated.

Thank you

Mark Evans
 
Old 01-03-2011, 08:29 AM   #2
Oliv'
Senior Member
 
Registered: Jan 2004
Location: Montpellier (France)
Distribution: Gentoo
Posts: 1,014

Rep: Reputation: 36
Hello,

Unfortunately, if you read man page from mspdebug, you will notice the following:
Quote:
uif
Connect to an eZ430-F2013 or a FET430UIF device. The device argument should be the filename of the appropriate tty device. The TI serial converter chips on these devices are supported by newer versions of the Linux kernel, and should appear as /dev/ttyXX when attached.
USB connection is not supported for this driver.
So it seems that you have to use serial connection instead of USB one.

Regards,

Oliv'
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
JRE 1.6.0_07 required , please update merajmca Red Hat 3 03-03-2010 03:30 PM
Is a reboot required after RHEL 5 kernel update? SteveJenkins Red Hat 3 12-07-2009 10:50 PM
How do I update/download required dependencies? Shadowvar8541 Linux - Newbie 5 07-21-2009 12:26 AM
root required to update using Red Carpet?? timsch75 Linux - Software 5 04-05-2004 04:31 AM


All times are GMT -5. The time now is 07:49 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration